# Generated by Django 3.2 on 2023-03-05 06:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('course_code', models.CharField(default='', max_length=50, unique=True)),
                ('course_title', models.CharField(default='', max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Assignment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assignment_name', models.CharField(default='', max_length=50, unique=True)),
                ('description', models.TextField(default='')),
                ('perfect_score', models.IntegerField(default=0)),
                ('passing_score', models.IntegerField(default=0)),
                ('section', models.CharField(max_length=16, unique=True)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subject', to='assignments.course')),
            ],
        ),
    ]
